/***************************************************************************
                          bomb.h  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BOMB_H
#define BOMB_H

#include "effects.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Timer;

class Bomb : public Effects  {
public: 
	Bomb(int _x, int _y, int _type, bool _op, Map_Sample* _sample);
	~Bomb();

	void act();
	void show();

private:

	bool op;
	Timer* timer;
	int type;
};

#endif
